Skip to main content
GET
/
virtual-accounts
/
transactions
/
{transaction_id}
Get transaction by ID
curl --request GET \
  --url https://api.pcxpay.com/v1/virtual-accounts/transactions/{transaction_id} \
  --header 'Authorization: Bearer <token>'
{
  "status": "success",
  "message": "Operation completed successfully",
  "data": {
    "transaction_id": "<string>",
    "account_id": "<string>",
    "org_id": "<string>",
    "user_id": "<string>",
    "type": "credit",
    "status": "pending",
    "amount": 123,
    "currency": "<string>",
    "fee": 123,
    "description": "<string>",
    "payment_rail": "<string>",
    "reference": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-User-Id
string

The ID of the requesting user

Path Parameters

transaction_id
string
required

Query Parameters

user_id
string

Alternative to the X-User-Id header

Response

Transaction record

status
enum<string>
Available options:
success,
error
Example:

"success"

message
string
Example:

"Operation completed successfully"

data
object